.flex_image_container {
  height: 850px;

  .image {
    max-width: 650px;
    border: 3px solid $lwi-dark;
    height: inherit;
    border-radius: $borderradius;
  }
}

.arrow {
  position: absolute;
  align-self: first baseline;
  visibility: hidden;

  img {
    position: relative;
    width: 80px;
    height: 80px;
    filter: invert(27%) sepia(11%) saturate(4486%) hue-rotate(172deg)
      brightness(98%) contrast(80%);
    cursor: move;
    z-index: 9;
  }

  .img-zoom-lens {
    position: absolute;
    top: 39px;
    left: 39px;
    border: 4px dashed $darkest-color;
    width: 55px;
    height: 215px;
    z-index: 8;
  }
}

.zoom_input_form {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: 140px 50px repeat(3, 120px) 50px 70px auto auto;
  width: 600px;
  height: 800px;
  flex-shrink: 0;
  background-color: $default-grey;
  border-radius: $borderradius;
  color: $font-dark;
  padding: $padding_val;
  border: 3px solid $lwi-dark;
}

.digi_month_container {
  grid-column: 1 / span 2;
  display: flex;
  flex-direction: column;
  width: 100%;

  .digi_month_head {
    @extend .head2;
  }
  .digi_month {
    @extend .head1;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
  }

  .digi_month_spacer {
    flex-grow: 2;
  }
}

.instruc_head {
  grid-column: 3 / span 3;
  ul {
    font-size: 14px;
    padding-left: 2em;
    margin-bottom: 0em;
    margin-top: 0.5em;

    > li {
      &::marker {
        color: $base-color;
        display: inline-block;
      }
    }
  }

  .codeblock {
    background: #ddd;
    padding-left: 0.4em;
    padding-right: 0.4em;
    font-weight: bold;
    font-size: medium;
  }
}

.zoom_image_container {
  grid-column: 1 / span 2;
  grid-row: 3 / 9;
  display: flex;
  justify-content: center;

  .zoomed {
    width: 160px;
    height: 550px;
    border: 1px solid $dark-color;
    border-radius: $borderradius;
  }
}

@mixin border_bottom_inputarea {
  &::after {
    content: "";
    position: relative;
    width: 80%;
    left: 10%;
    bottom: 0;
    border-bottom: 2px dashed $dark-color;
  }
}

.zoom_reset {
  grid-column: 1 / span 2;
  grid-row: 2 / 3;
}

.short_instruc {
  grid-column: 3 / span 3;
  grid-row: 2 / 3;

  padding-left: $padding_val;
  padding-right: $padding_val;

  font-size: small;
}

.input_bubble {
  padding-right: 7px;
  border: 2px solid $base-color;
  border-radius: $borderradius;
  box-sizing: border-box;
  transition: outline 0ms ease-out;

  &:focus {
    outline: 2px dotted $light-color;
    outline-offset: 0.1em;
  }
}

.daily_inputs {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  row-gap: 5px;

  div {
    position: relative;
    display: flex;
    align-items: center;
    width: 5em;
  }

  [type="checkbox"] {
    position: absolute;
    margin-left: 0.5em;
    z-index: 2;
    accent-color: $highlight;
  }

  [type="number"] {
    width: 100%;
    appearance: textfield;
    text-align: right;
    height: 2.5em;
  }

  input[type="number"]::-webkit-inner-spin-button,
  input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
}

.sum_placeholder_class {
  @extend .daily_inputs;
}

.inputs_1 {
  display: grid;
  grid-column: 3 / span 3;
  grid-row: 3 / 4;
  align-items: center;
  @include border_bottom_inputarea;
}

.inputs_2 {
  display: grid;
  grid-column: 3 / span 3;
  grid-row: 4 / 5;
  align-items: center;
  @include border_bottom_inputarea;
}

.inputs_3 {
  display: grid;
  grid-column: 3 / span 3;
  grid-row: 5 / 6;
  align-items: center;
  @include border_bottom_inputarea;
}

.sum_input {
  display: grid;
  grid-column: 3 / span 3;
  grid-row: 6 / 7;
  align-items: center;
  @include border_bottom_inputarea;
}

.label_input_group {
  display: flex;
  align-items: center;
  justify-content: space-between;

  [type="number"] {
    width: 15em;
  }

  [type="checkbox"] {
    position: absolute;
    margin-left: 0.5em;
    z-index: 2;
    accent-color: $highlight;
    align-self: center;
  }
}

.comment_area {
  grid-column: 3 / span 3;
  grid-row: 7/8;
  display: flex;
  align-items: center;
  justify-content: space-between;

  textarea {
    @extend .input_bubble;
    width: 80%;
    height: 4em;
    resize: none;
    padding: 0.5 * $padding_val;
  }
}

.sub_tos {
  grid-column: 3 / span 3;
  grid-row: 8/9;
  margin-top: 0.5 * $padding_val;
}

.terms-agree {
  text-align: center;
  font-size: small;
  margin-top: 0.5 * $padding_val;
}

.error_element {
  grid-row: 9/10;
  grid-column: 1 / span 5;
  color: red;
  text-align: center;
  font-size: small;
}

@media (max-width: 1350px) {
  .digitization_wrapper.is-button-pressed {
    flex-direction: column;
    row-gap: $padding_val;
    z-index: 1; /* Add this */
  }
}
